Bug 28388 - Search result set is lost when viewing the MARC plain view (opac-showmarc.pl)
Summary: Search result set is lost when viewing the MARC plain view (opac-showmarc.pl)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-19 13:06 UTC by Timothy Alexis Vass
Modified: 2021-07-11 02:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.08


Attachments
Bug 28388: Preserve "Browse results" when "view plain" is clicked (1002 bytes, patch)
2021-05-21 07:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28388: Preserve "Browse results" when "view plain" is clicked (1.65 KB, patch)
2021-05-24 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28388: Preserve "Browse results" when "view plain" is clicked (1.72 KB, patch)
2021-05-28 14:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Alexis Vass 2021-05-19 13:06:16 UTC
After searching with multiple results the bibliographic details page (opac-detail.pl?biblionumber=...) has the option to browse results.

When clicking the MARC View (opac-MARCdetail.pl?biblionumber=...) and then returning to Normal view, the search result is preserved.

However, when clicking "view plain" in the MARC View and then returning to Normal view, the search result is lost and browsing to a different biblio in the result set will drop the browse results functionality.
Comment 1 Jonathan Druart 2021-05-21 07:39:33 UTC
Created attachment 121269 [details] [review]
Bug 28388: Preserve "Browse results" when "view plain" is clicked

"view plan" will hit opac-showmarc.pl and the "busc" containing the info
will be removed from the session
Comment 2 Owen Leonard 2021-05-24 14:43:41 UTC
Created attachment 121339 [details] [review]
Bug 28388: Preserve "Browse results" when "view plain" is clicked

This patch modifies the way search sessions are preserved in the OPAC so
that viewing the "plain MARC" view will not cause the search context to
be lost.

To test, apply the patch and make sure OpacBrowseResults is enabled.

- Perform a search in the OPAC which will return multiple search
  results.
- View the details of one of the search results.
  - You should see a "Browse results" box in the right-hand sidebar.
- Click the "MARC view" link.
  - If you click back to the "Normal view" now, the results browser
    should still appear.
  - From the MARC view, click the "view plain" link.
  - Return to the "Normal view."
    - Before the patch: The results browser is gone.
    - After the patch: The results browser is still there.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2021-05-28 14:46:27 UTC
Created attachment 121489 [details] [review]
Bug 28388: Preserve "Browse results" when "view plain" is clicked

This patch modifies the way search sessions are preserved in the OPAC so
that viewing the "plain MARC" view will not cause the search context to
be lost.

To test, apply the patch and make sure OpacBrowseResults is enabled.

- Perform a search in the OPAC which will return multiple search
  results.
- View the details of one of the search results.
  - You should see a "Browse results" box in the right-hand sidebar.
- Click the "MARC view" link.
  - If you click back to the "Normal view" now, the results browser
    should still appear.
  - From the MARC view, click the "view plain" link.
  - Return to the "Normal view."
    - Before the patch: The results browser is gone.
    - After the patch: The results browser is still there.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-06-21 10:05:51 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-02 12:09:58 UTC
Pushed to 21.05.x for 21.05.02
Comment 6 Fridolin Somers 2021-07-10 02:40:48 UTC
Pushed to 20.11.x for 20.11.08
Comment 7 Victor Grousset/tuxayo 2021-07-11 02:32:17 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.